#!/usr/bin/env python
#-*- coding:utf-8 -*-

from gi.repository import Gtk
import gettext
import os

"""
    $ xgettext ui.py #=> messages.po
    $ # Rewrite messages.po
    $ msgfmt messages.po #=> messages.mo
    $ mv messages.mo ja/LC_MESSAGES
"""

gettext.bindtextdomain('messages', os.path.dirname(__file__))
_ = gettext.gettext

menu_xml = """<ui>
    <menubar name="MenuBar">
        <menu action="file">
            <menuitem action="new"/>
            <menuitem action="open"/>
            <separator/>
            <menuitem action="save"/>
            <menuitem action="save_as"/>
            <separator/>
            <menuitem action="quit"/>
        </menu>
        <menu action="move">
            <menuitem action="up"/>
            <menuitem action="down"/>
            <menuitem action="back"/>
            <menuitem action="forward"/>
        </menu>
        <menu action="help">
            <menuitem action="contents"/>
            <menuitem action="about"/>
        </menu>
    </menubar>
    <toolbar name="ToolBar">
        <toolitem action="save"/>
        <separator/>
        <toolitem action="up"/>
        <toolitem action="down"/>
        <toolitem action="back"/>
        <toolitem action="forward"/>
    </toolbar>
</ui>"""

def get_action(self):
    # GtkActionEntry
    return [
    ("file", None, _("_File")),
    ("move", None, _("_Move")),
    ("help", None, _("_Help")),
    ("new", Gtk.STOCK_NEW , None, "<control>N", _("Create a new document"), self.on_new),
    ("open", Gtk.STOCK_OPEN, None, "<control>O", _("Open a file"), self.on_open),
    ("save", Gtk.STOCK_SAVE, None, "<control>S", _("Save the current file"), self.on_save),
    ("save_as", Gtk.STOCK_SAVE_AS, None, "<shift><control>S", _("Save the current file with a different name"), self.on_save_as),
    ("quit", Gtk.STOCK_QUIT, None, "<control>Q", _("Quit the program"), self.on_quit),
    ("up", Gtk.STOCK_GO_UP, None, None, _("Up the Tree Item"), self.on_move),
    ("down", Gtk.STOCK_GO_DOWN, None, None, _("Down the Tree Item"), self.on_move),
    ("back", Gtk.STOCK_GO_BACK, None, None, _("Left the Tree Item"), self.on_move),
    ("forward", Gtk.STOCK_GO_FORWARD, None, None, _("Right the Tree Item"), self.on_move),
    ("contents", Gtk.STOCK_HELP, None, "F1", _("Open the manual"), self.on_help),
    ("about", Gtk.STOCK_ABOUT, None, None, _("About this application"), self.on_about)
    ]

